Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes.mdx
Class TMdxKeySegment

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.mdx.TMdxKeySegment

All Implemented Interfaces:
  IMdxIdentifierSegment, Visitable

    public class TMdxKeySegment

extends TParseTreeNode
implements IMdxIdentifierSegment

Constructor Summary
`TMdxKeySegment()`

Method Summary
`TPTNodeList<TMdxNameSegment>` | `getKeyParts()` Returns the key components, if this IMdxIdentifierSegment is a key.
`java.lang.String` | `getName()` Returns the name of this IMdxIdentifierSegment.
`EMdxQuoting` | `getQuoting()` Returns how this Segment is quoted.
`void` | `init(java.lang.Object subSegmentList)` Initialize a query tree node.

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TMdxKeySegment

    public TMdxKeySegment()

Method Detail

### init

    public void init(java.lang.Object subSegmentList)

  Description copied from class: `TParseTreeNode`
  Initialize a query tree node.

  Overrides:
    `init` in class `TParseTreeNode`

### getQuoting

    public EMdxQuoting getQuoting()

  Description copied from interface: `IMdxIdentifierSegment`
  Returns how this Segment is quoted.

  Specified by:
    `getQuoting` in interface `IMdxIdentifierSegment`
  Returns:
    how this Segment is quoted

### getName

    public java.lang.String getName()

  Description copied from interface: `IMdxIdentifierSegment`
  Returns the name of this IMdxIdentifierSegment. Returns `null` if this IMdxIdentifierSegment represents a key.

  Specified by:
    `getName` in interface `IMdxIdentifierSegment`
  Returns:
    name of this Segment

### getKeyParts

    public TPTNodeList<TMdxNameSegment> getKeyParts()

  Description copied from interface: `IMdxIdentifierSegment`
  Returns the key components, if this IMdxIdentifierSegment is a key. (That is, if `IMdxIdentifierSegment.getQuoting()` returns `EMdxQuoting.KEY`.) Returns null otherwise.

  Specified by:
    `getKeyParts` in interface `IMdxIdentifierSegment`
  Returns:
    Components of key, or null if this IMdxIdentifierSegment is not a key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD